Package fr.gouv.vitam.common.database.server

# Class OplogReader

java.lang.Object
fr.gouv.vitam.common.database.server.OplogReader

public class OplogReader extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `COLLECTION_NAME`
  `static final String`
  `DELETE_OPERATION`
  `static final String`
  `FIELD_ID`
  `static final String`
  `FIELD_INCREMENT`
  `static final String`
  `FIELD_O`
  `static final String`
  `FIELD_O_2`
  `static final String`
  `FIELD_TIME`
  `static final String`
  `INSERT_OPERATION`
  `static final String`
  `NATURAL`
  `static final String`
  `OPERATION_TIME`
  `static final String`
  `OPERATION_TYPE`
  `static final String`
  `PATH`
  `static final String`
  `UPDATE_OPERATION`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `OplogReader(com.mongodb.client.MongoClient mongoClient, Integer dataMaxSize)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Map<String,org.bson.Document>`
  `readDocumentsFromOplogByShardAndCollections(List<String> collectionsToReadOplog, org.bson.BsonTimestamp maxTimeStamp)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### OPERATION_TYPE

    public static final String OPERATION_TYPE
    See Also:
      - Constant Field Values

  - ### COLLECTION_NAME

    public static final String COLLECTION_NAME
    See Also:
      - Constant Field Values

  - ### OPERATION_TIME

    public static final String OPERATION_TIME
    See Also:
      - Constant Field Values

  - ### FIELD_TIME

    public static final String FIELD_TIME
    See Also:
      - Constant Field Values

  - ### FIELD_INCREMENT

    public static final String FIELD_INCREMENT
    See Also:
      - Constant Field Values

  - ### FIELD_O_2

    public static final String FIELD_O_2
    See Also:
      - Constant Field Values

  - ### FIELD_O

    public static final String FIELD_O
    See Also:
      - Constant Field Values

  - ### FIELD_ID

    public static final String FIELD_ID
    See Also:
      - Constant Field Values

  - ### INSERT_OPERATION

    public static final String INSERT_OPERATION
    See Also:
      - Constant Field Values

  - ### UPDATE_OPERATION

    public static final String UPDATE_OPERATION
    See Also:
      - Constant Field Values

  - ### DELETE_OPERATION

    public static final String DELETE_OPERATION
    See Also:
      - Constant Field Values

  - ### PATH

    public static final String PATH
    See Also:
      - Constant Field Values

  - ### NATURAL

    public static final String NATURAL
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### OplogReader

    public OplogReader(com.mongodb.client.MongoClient mongoClient, Integer dataMaxSize)

- ## Method Details

  - ### readDocumentsFromOplogByShardAndCollections

    public Map<String,org.bson.Document> readDocumentsFromOplogByShardAndCollections(List<String> collectionsToReadOplog, org.bson.BsonTimestamp maxTimeStamp)